using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Mes.ClientFrameWork;
using Core.Mes.IBaseInterface;
using System.Data;

namespace Core.XgMes.Client.JGKC.RollManager
{
	/// <summary>
	/// YL_Buress 的摘要说明。
	/// </summary>
	public class YL_Buress : Mes.ClientFrameWork.FrmBase
	{
		private System.Windows.Forms.Panel panel1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Left;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Right;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Top;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Bottom;
		private Infragistics.Win.Misc.UltraGroupBox ultraGroupBox1;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_GangJuan;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_GangJuan;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Opreate;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_Opreate;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Man;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Man;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Buress;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Buress;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Time;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor dte_BeginTime;
		private Infragistics.Win.Misc.UltraLabel ultraLabel1;
		private Infragistics.Win.UltraWinEditors.UltraDateTimeEditor dte_EndTime;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor1;
		private Infragistics.Win.Misc.UltraGroupBox ultraGroupBox2;
		private Infragistics.Win.UltraWinGrid.UltraGrid gb_Buress;
		private Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter excelExporter;
		private System.ComponentModel.IContainer components;

		public YL_Buress()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			Infragistics.Win.UltraWinToolbars.UltraToolbar ultraToolbar1 = new Infragistics.Win.UltraWinToolbars.UltraToolbar("UltraToolbar1");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool1 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool2 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool3 = new Infragistics.Win.UltraWinToolbars.ButtonTool("CLOSE");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool4 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool5 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
			Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool6 = new Infragistics.Win.UltraWinToolbars.ButtonTool("CLOSE");
			Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance20 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance21 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance22 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance23 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance24 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance25 = new Infragistics.Win.Appearance();
			Infragistics.Win.UltraWinGrid.UltraGridBand ultraGridBand1 = new Infragistics.Win.UltraWinGrid.UltraGridBand("Band 0", -1);
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn1 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CREATOR");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn2 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CREATETIME");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn3 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("OLD_SAMPL_NO");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn4 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("NOW_BUTTRESS");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn5 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("OLD_BUTTRESS");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn6 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CLASSORDER");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn7 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CLASSTEAM");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn8 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("HANDLEMODE");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn9 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("TIMENAME");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn10 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("REMARK");
			Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn11 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("HANDLEMAN");
			Infragistics.Win.Appearance appearance26 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance27 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance28 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance29 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance30 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance31 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance32 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance33 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance34 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance35 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance36 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance37 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance38 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance39 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance appearance40 = new Infragistics.Win.Appearance();
			this.panel1 = new System.Windows.Forms.Panel();
			this._panel1_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this.ultraToolbarsManager1 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
			this._panel1_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this._panel1_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this._panel1_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
			this.ultraGroupBox1 = new Infragistics.Win.Misc.UltraGroupBox();
			this.ultraCheckEditor1 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.dte_EndTime = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
			this.ultraLabel1 = new Infragistics.Win.Misc.UltraLabel();
			this.dte_BeginTime = new Infragistics.Win.UltraWinEditors.UltraDateTimeEditor();
			this.chk_Time = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.cmb_Buress = new Infragistics.Win.UltraWinGrid.UltraCombo();
			this.cmb_Man = new Infragistics.Win.UltraWinGrid.UltraCombo();
			this.chk_Man = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.txt_Opreate = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			this.chk_Opreate = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.txt_GangJuan = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			this.chk_GangJuan = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.chk_Buress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
			this.ultraGroupBox2 = new Infragistics.Win.Misc.UltraGroupBox();
			this.gb_Buress = new Infragistics.Win.UltraWinGrid.UltraGrid();
			this.excelExporter = new Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).BeginInit();
			this.ultraGroupBox1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dte_EndTime)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dte_BeginTime)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cmb_Man)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txt_Opreate)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txt_GangJuan)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox2)).BeginInit();
			this.ultraGroupBox2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gb_Buress)).BeginInit();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Left);
			this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Right);
			this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Top);
			this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Bottom);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(872, 32);
			this.panel1.TabIndex = 0;
			// 
			// _panel1_Toolbars_Dock_Area_Left
			// 
			this._panel1_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._panel1_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(229)), ((System.Byte)(229)), ((System.Byte)(215)));
			this._panel1_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
			this._panel1_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
			this._panel1_Toolbars_Dock_Area_Left.Location = new System.Drawing.Point(0, 27);
			this._panel1_Toolbars_Dock_Area_Left.Name = "_panel1_Toolbars_Dock_Area_Left";
			this._panel1_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 5);
			this._panel1_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// ultraToolbarsManager1
			// 
			this.ultraToolbarsManager1.DesignerFlags = 1;
			this.ultraToolbarsManager1.DockWithinContainer = this.panel1;
			this.ultraToolbarsManager1.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.VisualStudio2005;
			ultraToolbar1.DockedColumn = 0;
			ultraToolbar1.DockedRow = 0;
			ultraToolbar1.Text = "UltraToolbar1";
			ultraToolbar1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
																							  buttonTool1,
																							  buttonTool2,
																							  buttonTool3});
			this.ultraToolbarsManager1.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
																												  ultraToolbar1});
			buttonTool4.SharedProps.Caption = "查询";
			buttonTool4.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
			buttonTool5.SharedProps.Caption = "导出";
			buttonTool5.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
			buttonTool6.SharedProps.Caption = "关闭";
			buttonTool6.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
			this.ultraToolbarsManager1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
																										   buttonTool4,
																										   buttonTool5,
																										   buttonTool6});
			this.ultraToolbarsManager1.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager1_ToolClick);
			// 
			// _panel1_Toolbars_Dock_Area_Right
			// 
			this._panel1_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._panel1_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(229)), ((System.Byte)(229)), ((System.Byte)(215)));
			this._panel1_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
			this._panel1_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
			this._panel1_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(872, 27);
			this._panel1_Toolbars_Dock_Area_Right.Name = "_panel1_Toolbars_Dock_Area_Right";
			this._panel1_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 5);
			this._panel1_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// _panel1_Toolbars_Dock_Area_Top
			// 
			this._panel1_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._panel1_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(229)), ((System.Byte)(229)), ((System.Byte)(215)));
			this._panel1_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
			this._panel1_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
			this._panel1_Toolbars_Dock_Area_Top.Location = new System.Drawing.Point(0, 0);
			this._panel1_Toolbars_Dock_Area_Top.Name = "_panel1_Toolbars_Dock_Area_Top";
			this._panel1_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(872, 27);
			this._panel1_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// _panel1_Toolbars_Dock_Area_Bottom
			// 
			this._panel1_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
			this._panel1_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(229)), ((System.Byte)(229)), ((System.Byte)(215)));
			this._panel1_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
			this._panel1_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
			this._panel1_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 32);
			this._panel1_Toolbars_Dock_Area_Bottom.Name = "_panel1_Toolbars_Dock_Area_Bottom";
			this._panel1_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(872, 0);
			this._panel1_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager1;
			// 
			// ultraGroupBox1
			// 
			this.ultraGroupBox1.Controls.Add(this.ultraCheckEditor1);
			this.ultraGroupBox1.Controls.Add(this.dte_EndTime);
			this.ultraGroupBox1.Controls.Add(this.ultraLabel1);
			this.ultraGroupBox1.Controls.Add(this.dte_BeginTime);
			this.ultraGroupBox1.Controls.Add(this.chk_Time);
			this.ultraGroupBox1.Controls.Add(this.cmb_Buress);
			this.ultraGroupBox1.Controls.Add(this.cmb_Man);
			this.ultraGroupBox1.Controls.Add(this.chk_Man);
			this.ultraGroupBox1.Controls.Add(this.txt_Opreate);
			this.ultraGroupBox1.Controls.Add(this.chk_Opreate);
			this.ultraGroupBox1.Controls.Add(this.txt_GangJuan);
			this.ultraGroupBox1.Controls.Add(this.chk_GangJuan);
			this.ultraGroupBox1.Controls.Add(this.chk_Buress);
			this.ultraGroupBox1.Dock = System.Windows.Forms.DockStyle.Top;
			this.ultraGroupBox1.Location = new System.Drawing.Point(0, 32);
			this.ultraGroupBox1.Name = "ultraGroupBox1";
			this.ultraGroupBox1.Size = new System.Drawing.Size(872, 56);
			this.ultraGroupBox1.SupportThemes = false;
			this.ultraGroupBox1.TabIndex = 1;
			// 
			// ultraCheckEditor1
			// 
			this.ultraCheckEditor1.Location = new System.Drawing.Point(615, 32);
			this.ultraCheckEditor1.Name = "ultraCheckEditor1";
			this.ultraCheckEditor1.Size = new System.Drawing.Size(56, 20);
			this.ultraCheckEditor1.TabIndex = 13;
			this.ultraCheckEditor1.Text = "过滤";
			// 
			// dte_EndTime
			// 
			this.dte_EndTime.Enabled = false;
			this.dte_EndTime.FlatMode = true;
			this.dte_EndTime.Location = new System.Drawing.Point(80, 32);
			this.dte_EndTime.Name = "dte_EndTime";
			this.dte_EndTime.Size = new System.Drawing.Size(128, 21);
			this.dte_EndTime.TabIndex = 12;
			// 
			// ultraLabel1
			// 
			this.ultraLabel1.Location = new System.Drawing.Point(61, 37);
			this.ultraLabel1.Name = "ultraLabel1";
			this.ultraLabel1.Size = new System.Drawing.Size(16, 16);
			this.ultraLabel1.TabIndex = 11;
			this.ultraLabel1.Text = "至";
			// 
			// dte_BeginTime
			// 
			this.dte_BeginTime.Enabled = false;
			this.dte_BeginTime.FlatMode = true;
			this.dte_BeginTime.Location = new System.Drawing.Point(80, 8);
			this.dte_BeginTime.Name = "dte_BeginTime";
			this.dte_BeginTime.Size = new System.Drawing.Size(128, 21);
			this.dte_BeginTime.TabIndex = 10;
			// 
			// chk_Time
			// 
			this.chk_Time.FlatMode = true;
			this.chk_Time.Location = new System.Drawing.Point(8, 8);
			this.chk_Time.Name = "chk_Time";
			this.chk_Time.Size = new System.Drawing.Size(72, 20);
			this.chk_Time.TabIndex = 9;
			this.chk_Time.Text = "登记时间";
			this.chk_Time.CheckedChanged += new System.EventHandler(this.chk_Time_CheckedChanged);
			// 
			// cmb_Buress
			// 
			this.cmb_Buress.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
			appearance1.BackColor = System.Drawing.SystemColors.Window;
			appearance1.BorderColor = System.Drawing.SystemColors.InactiveCaption;
			this.cmb_Buress.DisplayLayout.Appearance = appearance1;
			this.cmb_Buress.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
			this.cmb_Buress.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
			appearance2.BackColor = System.Drawing.SystemColors.ActiveBorder;
			appearance2.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance2.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
			appearance2.BorderColor = System.Drawing.SystemColors.Window;
			this.cmb_Buress.DisplayLayout.GroupByBox.Appearance = appearance2;
			appearance3.ForeColor = System.Drawing.SystemColors.GrayText;
			this.cmb_Buress.DisplayLayout.GroupByBox.BandLabelAppearance = appearance3;
			this.cmb_Buress.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
			appearance4.BackColor = System.Drawing.SystemColors.ControlLightLight;
			appearance4.BackColor2 = System.Drawing.SystemColors.Control;
			appearance4.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			appearance4.ForeColor = System.Drawing.SystemColors.GrayText;
			this.cmb_Buress.DisplayLayout.GroupByBox.PromptAppearance = appearance4;
			this.cmb_Buress.DisplayLayout.MaxColScrollRegions = 1;
			this.cmb_Buress.DisplayLayout.MaxRowScrollRegions = 1;
			appearance5.BackColor = System.Drawing.SystemColors.Window;
			appearance5.ForeColor = System.Drawing.SystemColors.ControlText;
			this.cmb_Buress.DisplayLayout.Override.ActiveCellAppearance = appearance5;
			appearance6.BackColor = System.Drawing.SystemColors.Highlight;
			appearance6.ForeColor = System.Drawing.SystemColors.HighlightText;
			this.cmb_Buress.DisplayLayout.Override.ActiveRowAppearance = appearance6;
			this.cmb_Buress.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
			this.cmb_Buress.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
			appearance7.BackColor = System.Drawing.SystemColors.Window;
			this.cmb_Buress.DisplayLayout.Override.CardAreaAppearance = appearance7;
			appearance8.BorderColor = System.Drawing.Color.Silver;
			appearance8.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
			this.cmb_Buress.DisplayLayout.Override.CellAppearance = appearance8;
			this.cmb_Buress.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
			this.cmb_Buress.DisplayLayout.Override.CellPadding = 0;
			appearance9.BackColor = System.Drawing.SystemColors.Control;
			appearance9.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance9.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
			appearance9.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			appearance9.BorderColor = System.Drawing.SystemColors.Window;
			this.cmb_Buress.DisplayLayout.Override.GroupByRowAppearance = appearance9;
			appearance10.TextHAlign = Infragistics.Win.HAlign.Left;
			this.cmb_Buress.DisplayLayout.Override.HeaderAppearance = appearance10;
			this.cmb_Buress.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
			this.cmb_Buress.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
			appearance11.BackColor = System.Drawing.SystemColors.Window;
			appearance11.BorderColor = System.Drawing.Color.Silver;
			this.cmb_Buress.DisplayLayout.Override.RowAppearance = appearance11;
			this.cmb_Buress.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
			appearance12.BackColor = System.Drawing.SystemColors.ControlLight;
			this.cmb_Buress.DisplayLayout.Override.TemplateAddRowAppearance = appearance12;
			this.cmb_Buress.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
			this.cmb_Buress.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
			this.cmb_Buress.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
			this.cmb_Buress.DisplayMember = "";
			this.cmb_Buress.Enabled = false;
			this.cmb_Buress.FlatMode = true;
			this.cmb_Buress.Location = new System.Drawing.Point(478, 6);
			this.cmb_Buress.Name = "cmb_Buress";
			this.cmb_Buress.Size = new System.Drawing.Size(128, 21);
			this.cmb_Buress.TabIndex = 8;
			this.cmb_Buress.ValueMember = "";
			// 
			// cmb_Man
			// 
			this.cmb_Man.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
			appearance13.BackColor = System.Drawing.SystemColors.Window;
			appearance13.BorderColor = System.Drawing.SystemColors.InactiveCaption;
			this.cmb_Man.DisplayLayout.Appearance = appearance13;
			this.cmb_Man.DisplayLayout.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
			this.cmb_Man.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
			appearance14.BackColor = System.Drawing.SystemColors.ActiveBorder;
			appearance14.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance14.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
			appearance14.BorderColor = System.Drawing.SystemColors.Window;
			this.cmb_Man.DisplayLayout.GroupByBox.Appearance = appearance14;
			appearance15.ForeColor = System.Drawing.SystemColors.GrayText;
			this.cmb_Man.DisplayLayout.GroupByBox.BandLabelAppearance = appearance15;
			this.cmb_Man.DisplayLayout.GroupByBox.BorderStyle = Infragistics.Win.UIElementBorderStyle.Solid;
			appearance16.BackColor = System.Drawing.SystemColors.ControlLightLight;
			appearance16.BackColor2 = System.Drawing.SystemColors.Control;
			appearance16.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			appearance16.ForeColor = System.Drawing.SystemColors.GrayText;
			this.cmb_Man.DisplayLayout.GroupByBox.PromptAppearance = appearance16;
			this.cmb_Man.DisplayLayout.MaxColScrollRegions = 1;
			this.cmb_Man.DisplayLayout.MaxRowScrollRegions = 1;
			appearance17.BackColor = System.Drawing.SystemColors.Window;
			appearance17.ForeColor = System.Drawing.SystemColors.ControlText;
			this.cmb_Man.DisplayLayout.Override.ActiveCellAppearance = appearance17;
			appearance18.BackColor = System.Drawing.SystemColors.Highlight;
			appearance18.ForeColor = System.Drawing.SystemColors.HighlightText;
			this.cmb_Man.DisplayLayout.Override.ActiveRowAppearance = appearance18;
			this.cmb_Man.DisplayLayout.Override.BorderStyleCell = Infragistics.Win.UIElementBorderStyle.Dotted;
			this.cmb_Man.DisplayLayout.Override.BorderStyleRow = Infragistics.Win.UIElementBorderStyle.Dotted;
			appearance19.BackColor = System.Drawing.SystemColors.Window;
			this.cmb_Man.DisplayLayout.Override.CardAreaAppearance = appearance19;
			appearance20.BorderColor = System.Drawing.Color.Silver;
			appearance20.TextTrimming = Infragistics.Win.TextTrimming.EllipsisCharacter;
			this.cmb_Man.DisplayLayout.Override.CellAppearance = appearance20;
			this.cmb_Man.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
			this.cmb_Man.DisplayLayout.Override.CellPadding = 0;
			appearance21.BackColor = System.Drawing.SystemColors.Control;
			appearance21.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance21.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
			appearance21.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			appearance21.BorderColor = System.Drawing.SystemColors.Window;
			this.cmb_Man.DisplayLayout.Override.GroupByRowAppearance = appearance21;
			appearance22.TextHAlign = Infragistics.Win.HAlign.Left;
			this.cmb_Man.DisplayLayout.Override.HeaderAppearance = appearance22;
			this.cmb_Man.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
			this.cmb_Man.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.WindowsXPCommand;
			appearance23.BackColor = System.Drawing.SystemColors.Window;
			appearance23.BorderColor = System.Drawing.Color.Silver;
			this.cmb_Man.DisplayLayout.Override.RowAppearance = appearance23;
			this.cmb_Man.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
			appearance24.BackColor = System.Drawing.SystemColors.ControlLight;
			this.cmb_Man.DisplayLayout.Override.TemplateAddRowAppearance = appearance24;
			this.cmb_Man.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
			this.cmb_Man.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
			this.cmb_Man.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
			this.cmb_Man.DisplayMember = "";
			this.cmb_Man.Enabled = false;
			this.cmb_Man.FlatMode = true;
			this.cmb_Man.Location = new System.Drawing.Point(270, 32);
			this.cmb_Man.Name = "cmb_Man";
			this.cmb_Man.Size = new System.Drawing.Size(128, 21);
			this.cmb_Man.TabIndex = 7;
			this.cmb_Man.ValueMember = "";
			// 
			// chk_Man
			// 
			this.chk_Man.Location = new System.Drawing.Point(214, 32);
			this.chk_Man.Name = "chk_Man";
			this.chk_Man.Size = new System.Drawing.Size(64, 20);
			this.chk_Man.TabIndex = 6;
			this.chk_Man.Text = "转堆人";
			this.chk_Man.CheckedChanged += new System.EventHandler(this.chk_Man_CheckedChanged);
			// 
			// txt_Opreate
			// 
			this.txt_Opreate.Enabled = false;
			this.txt_Opreate.FlatMode = true;
			this.txt_Opreate.Location = new System.Drawing.Point(270, 6);
			this.txt_Opreate.Name = "txt_Opreate";
			this.txt_Opreate.Size = new System.Drawing.Size(128, 21);
			this.txt_Opreate.TabIndex = 5;
			// 
			// chk_Opreate
			// 
			this.chk_Opreate.Location = new System.Drawing.Point(214, 7);
			this.chk_Opreate.Name = "chk_Opreate";
			this.chk_Opreate.Size = new System.Drawing.Size(64, 20);
			this.chk_Opreate.TabIndex = 4;
			this.chk_Opreate.Text = "登记人";
			this.chk_Opreate.CheckedChanged += new System.EventHandler(this.chk_Opreate_CheckedChanged);
			// 
			// txt_GangJuan
			// 
			this.txt_GangJuan.Enabled = false;
			this.txt_GangJuan.FlatMode = true;
			this.txt_GangJuan.Location = new System.Drawing.Point(478, 32);
			this.txt_GangJuan.Name = "txt_GangJuan";
			this.txt_GangJuan.Size = new System.Drawing.Size(128, 21);
			this.txt_GangJuan.TabIndex = 3;
			// 
			// chk_GangJuan
			// 
			this.chk_GangJuan.Location = new System.Drawing.Point(406, 32);
			this.chk_GangJuan.Name = "chk_GangJuan";
			this.chk_GangJuan.Size = new System.Drawing.Size(64, 20);
			this.chk_GangJuan.TabIndex = 2;
			this.chk_GangJuan.Text = "钢卷号";
			this.chk_GangJuan.CheckedChanged += new System.EventHandler(this.chk_GangJuan_CheckedChanged);
			// 
			// chk_Buress
			// 
			this.chk_Buress.Location = new System.Drawing.Point(406, 7);
			this.chk_Buress.Name = "chk_Buress";
			this.chk_Buress.Size = new System.Drawing.Size(72, 20);
			this.chk_Buress.TabIndex = 2;
			this.chk_Buress.Text = "当前堆位";
			this.chk_Buress.CheckedChanged += new System.EventHandler(this.chk_Buress_CheckedChanged);
			// 
			// ultraGroupBox2
			// 
			this.ultraGroupBox2.Controls.Add(this.gb_Buress);
			this.ultraGroupBox2.Dock = System.Windows.Forms.DockStyle.Fill;
			this.ultraGroupBox2.Location = new System.Drawing.Point(0, 88);
			this.ultraGroupBox2.Name = "ultraGroupBox2";
			this.ultraGroupBox2.Size = new System.Drawing.Size(872, 366);
			this.ultraGroupBox2.SupportThemes = false;
			this.ultraGroupBox2.TabIndex = 2;
			// 
			// gb_Buress
			// 
			appearance25.BackColor = System.Drawing.Color.Ivory;
			this.gb_Buress.DisplayLayout.Appearance = appearance25;
			ultraGridColumn1.Header.Caption = "登记人";
			ultraGridColumn1.Header.VisiblePosition = 0;
			ultraGridColumn1.RowLayoutColumnInfo.OriginX = 2;
			ultraGridColumn1.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn1.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(94, 0);
			ultraGridColumn1.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn1.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn2.Header.Caption = "登记时间";
			ultraGridColumn2.Header.VisiblePosition = 2;
			ultraGridColumn2.RowLayoutColumnInfo.OriginX = 0;
			ultraGridColumn2.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn2.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(110, 0);
			ultraGridColumn2.RowLayoutColumnInfo.SpanX = 2;
			ultraGridColumn2.RowLayoutColumnInfo.SpanY = 2;
			ultraGridColumn3.Header.Caption = "钢卷号";
			ultraGridColumn3.Header.VisiblePosition = 1;
			ultraGridColumn3.RowLayoutColumnInfo.OriginX = 3;
			ultraGridColumn3.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn3.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(99, 0);
			ultraGridColumn3.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn3.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn4.Header.Caption = "当前垛位";
			ultraGridColumn4.Header.VisiblePosition = 3;
			ultraGridColumn4.RowLayoutColumnInfo.OriginX = 4;
			ultraGridColumn4.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn4.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(89, 0);
			ultraGridColumn4.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn4.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn5.Header.Caption = "原垛位";
			ultraGridColumn5.Header.VisiblePosition = 4;
			ultraGridColumn5.RowLayoutColumnInfo.OriginX = 5;
			ultraGridColumn5.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn5.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(91, 0);
			ultraGridColumn5.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn5.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn6.Header.Caption = "移垛班次";
			ultraGridColumn6.Header.VisiblePosition = 5;
			ultraGridColumn6.RowLayoutColumnInfo.OriginX = 6;
			ultraGridColumn6.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn6.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(87, 0);
			ultraGridColumn6.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn6.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn7.Header.Caption = "移垛班组";
			ultraGridColumn7.Header.VisiblePosition = 6;
			ultraGridColumn7.RowLayoutColumnInfo.OriginX = 7;
			ultraGridColumn7.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn7.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(88, 0);
			ultraGridColumn7.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn7.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn8.Header.Caption = "移垛类型";
			ultraGridColumn8.Header.VisiblePosition = 7;
			ultraGridColumn8.RowLayoutColumnInfo.OriginX = 9;
			ultraGridColumn8.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn8.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(98, 0);
			ultraGridColumn8.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn8.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn9.Header.Caption = "移垛时间";
			ultraGridColumn9.Header.VisiblePosition = 8;
			ultraGridColumn9.RowLayoutColumnInfo.OriginX = 10;
			ultraGridColumn9.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn9.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(106, 0);
			ultraGridColumn9.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn9.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn10.Header.Caption = "备注";
			ultraGridColumn10.Header.VisiblePosition = 9;
			ultraGridColumn10.RowLayoutColumnInfo.OriginX = 11;
			ultraGridColumn10.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn10.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn10.RowLayoutColumnInfo.SpanY = 1;
			ultraGridColumn11.Header.Caption = "移垛人";
			ultraGridColumn11.Header.VisiblePosition = 10;
			ultraGridColumn11.RowLayoutColumnInfo.OriginX = 8;
			ultraGridColumn11.RowLayoutColumnInfo.OriginY = 0;
			ultraGridColumn11.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(85, 0);
			ultraGridColumn11.RowLayoutColumnInfo.SpanX = 1;
			ultraGridColumn11.RowLayoutColumnInfo.SpanY = 1;
			ultraGridBand1.Columns.AddRange(new object[] {
															 ultraGridColumn1,
															 ultraGridColumn2,
															 ultraGridColumn3,
															 ultraGridColumn4,
															 ultraGridColumn5,
															 ultraGridColumn6,
															 ultraGridColumn7,
															 ultraGridColumn8,
															 ultraGridColumn9,
															 ultraGridColumn10,
															 ultraGridColumn11});
			appearance26.BackColor = System.Drawing.Color.LightSteelBlue;
			ultraGridBand1.Header.Appearance = appearance26;
			ultraGridBand1.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
			ultraGridBand1.UseRowLayout = true;
			this.gb_Buress.DisplayLayout.BandsSerializer.Add(ultraGridBand1);
			this.gb_Buress.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
			appearance27.BackColor = System.Drawing.SystemColors.ActiveBorder;
			appearance27.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance27.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
			appearance27.BorderColor = System.Drawing.SystemColors.Window;
			this.gb_Buress.DisplayLayout.GroupByBox.Appearance = appearance27;
			appearance28.ForeColor = System.Drawing.SystemColors.GrayText;
			this.gb_Buress.DisplayLayout.GroupByBox.BandLabelAppearance = appearance28;
			this.gb_Buress.DisplayLayout.GroupByBox.Hidden = true;
			this.gb_Buress.DisplayLayout.GroupByBox.Prompt = "将要分组的列拖至该区域！";
			appearance29.BackColor = System.Drawing.SystemColors.Window;
			appearance29.ForeColor = System.Drawing.SystemColors.ControlText;
			this.gb_Buress.DisplayLayout.Override.ActiveCellAppearance = appearance29;
			appearance30.BackColor = System.Drawing.SystemColors.Highlight;
			appearance30.ForeColor = System.Drawing.SystemColors.HighlightText;
			this.gb_Buress.DisplayLayout.Override.ActiveRowAppearance = appearance30;
			appearance31.BorderColor = System.Drawing.Color.Black;
			appearance31.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.CellAppearance = appearance31;
			this.gb_Buress.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
			this.gb_Buress.DisplayLayout.Override.CellPadding = 0;
			appearance32.BackColor = System.Drawing.SystemColors.Control;
			appearance32.BackColor2 = System.Drawing.SystemColors.ControlDark;
			appearance32.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
			appearance32.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			appearance32.BorderColor = System.Drawing.SystemColors.Window;
			appearance32.TextHAlign = Infragistics.Win.HAlign.Left;
			appearance32.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.GroupByRowAppearance = appearance32;
			this.gb_Buress.DisplayLayout.Override.GroupBySummaryDisplayStyle = Infragistics.Win.UltraWinGrid.GroupBySummaryDisplayStyle.SummaryCells;
			appearance33.BackColor = System.Drawing.Color.Silver;
			this.gb_Buress.DisplayLayout.Override.HeaderAppearance = appearance33;
			this.gb_Buress.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
			this.gb_Buress.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
			appearance34.BackColor = System.Drawing.SystemColors.Window;
			appearance34.BorderColor = System.Drawing.Color.Black;
			appearance34.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.RowAppearance = appearance34;
			appearance35.BackColor = System.Drawing.SystemColors.Window;
			appearance35.BorderColor = System.Drawing.Color.Black;
			appearance35.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.RowPreviewAppearance = appearance35;
			this.gb_Buress.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.SeparateElement;
			this.gb_Buress.DisplayLayout.Override.RowSelectorNumberStyle = Infragistics.Win.UltraWinGrid.RowSelectorNumberStyle.RowIndex;
			this.gb_Buress.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
			appearance36.TextHAlign = Infragistics.Win.HAlign.Left;
			appearance36.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.SelectedRowAppearance = appearance36;
			this.gb_Buress.DisplayLayout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed;
			appearance37.BackColor = System.Drawing.SystemColors.Window;
			this.gb_Buress.DisplayLayout.Override.SummaryFooterAppearance = appearance37;
			appearance38.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(255)), ((System.Byte)(192)));
			appearance38.ForeColor = System.Drawing.Color.Red;
			this.gb_Buress.DisplayLayout.Override.SummaryFooterCaptionAppearance = appearance38;
			this.gb_Buress.DisplayLayout.Override.SummaryFooterCaptionVisible = Infragistics.Win.DefaultableBoolean.False;
			appearance39.BackColor = System.Drawing.Color.MistyRose;
			appearance39.ForeColor = System.Drawing.Color.Blue;
			appearance39.TextHAlign = Infragistics.Win.HAlign.Right;
			appearance39.TextVAlign = Infragistics.Win.VAlign.Middle;
			this.gb_Buress.DisplayLayout.Override.SummaryValueAppearance = appearance39;
			appearance40.BackColor = System.Drawing.SystemColors.ControlLight;
			this.gb_Buress.DisplayLayout.Override.TemplateAddRowAppearance = appearance40;
			this.gb_Buress.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
			this.gb_Buress.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
			this.gb_Buress.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
			this.gb_Buress.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gb_Buress.Location = new System.Drawing.Point(3, 2);
			this.gb_Buress.Name = "gb_Buress";
			this.gb_Buress.Size = new System.Drawing.Size(866, 361);
			this.gb_Buress.TabIndex = 0;
			this.gb_Buress.Text = "ultraGrid1";
			// 
			// YL_Buress
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(872, 454);
			this.Controls.Add(this.ultraGroupBox2);
			this.Controls.Add(this.ultraGroupBox1);
			this.Controls.Add(this.panel1);
			this.Name = "YL_Buress";
			this.Text = "原料堆位查询";
			this.Load += new System.EventHandler(this.YL_Buress_Load);
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).EndInit();
			this.ultraGroupBox1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dte_EndTime)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dte_BeginTime)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cmb_Man)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txt_Opreate)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txt_GangJuan)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox2)).EndInit();
			this.ultraGroupBox2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gb_Buress)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion
		private string strType;
		private string getWhere()
		{
			string strSql="";
			if(this.chk_Buress.Checked)
			{
				strSql+=" AND A.NOW_BUTTRESS='"+this.cmb_Buress.Text+"'";
			}
			if(this.chk_GangJuan.Checked)
			{
				strSql+=" AND A.OLD_SAMPL_NO='"+this.txt_GangJuan.Text+"'";
			}
			if(this.chk_Man.Checked)
			{
				strSql+=" AND A.CREATOR='"+this.cmb_Man.Value+"'";
			}
			if(this.chk_Opreate.Checked)
			{
				strSql+=" AND A.HANDLEMAN='"+this.txt_Opreate.Text+"'";
			}
			if(this.chk_Time.Checked)
			{
				strSql+=" AND TO_CHAR( A.CREATETIME,'YYYY-MM-DD') >='"+Convert.ToDateTime(this.dte_BeginTime.Value).ToString("yyyy-MM-dd")+"' "
					+ " AND TO_CHAR( A.CREATETIME,'YYYY-MM-DD') <='"+Convert.ToDateTime(this.dte_EndTime.Value).ToString("yyyy-MM-dd")+"' ";
			}
			return strSql;
		}
		private void YLQuery(string _Conntion,string _Type)
		{
			try
			{
				string strOut="";
                DataSet ds = (DataSet)Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("BJZWJBStuff", "Core.XgMes.Server.JGKC.RollManager.Query_YL", "BuressQuery", new object[] { _Conntion, _Type }, out strOut);
				this.gb_Buress.DataSource=ds;
				this.gb_Buress.UpdateData();
				Comm.SetGridSumArea(this.gb_Buress);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void YL_Buress_Load(object sender, System.EventArgs e)
		{
			if (this.Key.Split('@').Length>1)
			{
				if ( this.Key.Split('@')[1].Equals("YL"))
				{
					this.Text="原料移垛信息查询";
					this.strType="YL";

				}

				if ( this.Key.Split('@')[1].Equals("CP"))
				{
					this.Text="成品移垛信息查询";
					this.strType="CP";

				}
               IniCombox();
			}
		}
		private void IniCombox()
		{
			string strOut="";
			string strSql ="";
			DataSet ds;
			DataSet ds4;
			try
			{			
				switch(this.strType)
				{
					case"YL":
                        strSql = "select buttresscode from kcj_buttress_ZW where buttresstype='0'  AND AREACODE='对外加工(卷板)' and isvalid='1'";
						break;
					case"CP":
                        strSql = "select buttresscode from kcj_buttress_ZW where buttresstype='1'  AND AREACODE='对外加工(卷板)' and isvalid='1'";
						break;
				}
				ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common","GetDataSet",new object []{strSql},out strOut);
				ds.Tables[0].TableName="KCJ_BUTTRESS";

				Comm.Init_ComboControl(this.cmb_Buress,"KCJ_BUTTRESS","BUTTRESSCODE","BUTTRESSCODE",ref ds);



			
				//转堆人txt_HandleMan
				string strSql4 = "select ID_,NAME_  from KCJ_BASEDATA  where sort_code='514001'";
                ds4 = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { strSql4 }, out strOut);
				ds4.Tables[0].TableName="KCJ_BASEDATA";

				Comm.Init_ComboControl(this.txt_Opreate,"KCJ_BASEDATA","NAME_","ID_",ref ds4);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}

		}
		private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
		{
			switch(e.Tool.Key)
			{
				case "QUERY":
					this.YLQuery(this.getWhere(),strType);
					break;
				case "DUCE":
					this.ExportButtressInfo();
					break;
				case "CLOSE":
					this.Close();
					break;
			}
		}

		private void chk_Time_CheckedChanged(object sender, System.EventArgs e)
		{
			this.dte_BeginTime.Enabled=this.chk_Time.Checked;
			this.dte_EndTime.Enabled=this.chk_Time.Checked;
		}

		private void chk_Opreate_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_Opreate.Enabled=this.chk_Opreate.Checked;
		}

		private void chk_Man_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_Man.Enabled=this.chk_Man.Checked;
		}

		private void chk_Buress_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_Buress.Enabled=this.chk_Buress.Checked;
		}

		private void chk_GangJuan_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_GangJuan.Enabled=this.chk_GangJuan.Checked;
		}

		#region "导出报表"
		private void ExportButtressInfo()
		{
			if(this.gb_Buress.Rows.Count > 0)
			{
				Comm.ExPortExcel(this.gb_Buress,this.excelExporter);
			}
			else
			{
				MessageBox.Show("无信息数据，不能导出！","提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
			}

		}
		#endregion 
	}
}
